This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1314412 - spacecmd: Problem with inherited Erratas
spacecmd: Problem with inherited Erratas
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.4
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 09:15 EST by mkr
Modified: 2016-05-13 04:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mkr 2016-03-03 09:15:12 EST
Description of problem:
Spacewalk-Structure:
There is a default Organization (org1) which contains all Channels and Erratas. There are also some other Organizations (here called org2 - to keep it simple) which trust Org1 and get all public Channels and Erratas from Org1. Org2 has also some own Channels which should synced from Org1 inherited Channels only (see following Examples).

Problem:
I’m using spacecmd to sync two Channels from different Orgs (e.g.: softwarechannel_sync org1_centos7_x64_updates org2_centos7_x64_updates) with the "org2-cli"-User . This works like charm.

But if i try to Sync the erratas of that same Channel (e.g.: softwarechannel_errata_sync org1_centos7_x64_updates org2_centos7_x64_updates) also with the "org2-cli"-User - i get the following error

"ERROR: redstone.xmlrpc.XmlRpcFault: You don't have rights to access CEBA-2015:0625 errata.“

I logged-in into the WebUI with "org2-cli" and searched CEBA-2015:0625. I have access to this Errata. "org2-cli" is Channel Admin. Also tried with Org-Admin - same Problem.

#########################################################

Other Task - Same Problem:

an "errata_details CESA-2016:0301" as org2-cli shows: "WARNING: CESA-2016:0301 is not a valid erratum". But an "errata_search CESA-2016:0301" shows the found errata.

Version-Release number of selected component (if applicable):
rpm -qa | grep "httpd\|spacewalk\|tomcat\|java\|postgres" | sort
apache-tomcat-apis-0.1-1.el6.noarch
httpd-2.2.15-47.el6.centos.3.x86_64
httpd-tools-2.2.15-47.el6.centos.3.x86_64
java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
java-1.6.0-openjdk-1.6.0.38-1.13.10.0.el6_7.x86_64
java-1.6.0-openjdk-devel-1.6.0.38-1.13.10.0.el6_7.x86_64
java-1.8.0-openjdk-1.8.0.71-1.b15.el6_7.x86_64
java-1.8.0-openjdk-headless-1.8.0.71-1.b15.el6_7.x86_64
java-cup-0.11-0.a.2.jpp5.noarch
javassist-3.9.0-6.el6.noarch
libreadline-java-0.8.0-24.3.el6.x86_64
mysql-connector-java-5.1.17-6.el6.noarch
netmodo-postgresql-20150317-1.noarch
postgresql-8.4.20-5.el6_7.x86_64
postgresql94-9.4.6-1PGDG.rhel6.x86_64
postgresql94-contrib-9.4.6-1PGDG.rhel6.x86_64
postgresql94-jdbc-9.3.1101-1PGDG.rhel6.x86_64
postgresql94-libs-9.4.6-1PGDG.rhel6.x86_64
postgresql94-pltcl-9.4.6-1PGDG.rhel6.x86_64
postgresql94-server-9.4.6-1PGDG.rhel6.x86_64
postgresql-libs-8.4.20-5.el6_7.x86_64
rhn-org-httpd-ssl-key-pair-<hostname>-1.0-1.noarch
spacewalk-admin-2.4.2-1.el6.noarch
spacewalk-backend-2.4.23-1.el6.noarch
spacewalk-backend-app-2.4.23-1.el6.noarch
spacewalk-backend-applet-2.4.23-1.el6.noarch
spacewalk-backend-config-files-2.4.23-1.el6.noarch
spacewalk-backend-config-files-common-2.4.23-1.el6.noarch
spacewalk-backend-config-files-tool-2.4.23-1.el6.noarch
spacewalk-backend-iss-2.4.23-1.el6.noarch
spacewalk-backend-iss-export-2.4.23-1.el6.noarch
spacewalk-backend-libs-2.4.23-1.el6.noarch
spacewalk-backend-package-push-server-2.4.23-1.el6.noarch
spacewalk-backend-server-2.4.23-1.el6.noarch
spacewalk-backend-sql-2.4.23-1.el6.noarch
spacewalk-backend-sql-postgresql-2.4.23-1.el6.noarch
spacewalk-backend-tools-2.4.23-1.el6.noarch
spacewalk-backend-xml-export-libs-2.4.23-1.el6.noarch
spacewalk-backend-xmlrpc-2.4.23-1.el6.noarch
spacewalk-base-2.4.3-1.el6.noarch
spacewalk-base-minimal-2.4.3-1.el6.noarch
spacewalk-base-minimal-config-2.4.3-1.el6.noarch
spacewalk-branding-2.4.6-1.el6.noarch
spacewalk-certs-tools-2.4.7-1.el6.noarch
spacewalk-common-2.4.2-1.el6.noarch
spacewalk-config-2.4.1-1.el6.noarch
spacewalk-doc-indexes-2.4.1-1.el6.noarch
spacewalk-html-2.4.3-1.el6.noarch
spacewalk-java-2.4.79-1.el6.noarch
spacewalk-java-config-2.4.79-1.el6.noarch
spacewalk-java-lib-2.4.79-1.el6.noarch
spacewalk-java-postgresql-2.4.79-1.el6.noarch
spacewalk-jpp-workaround-2.3.4-1.el6.noarch
spacewalk-postgresql-2.4.2-1.el6.noarch
spacewalk-repo-2.4-3.el6.noarch
spacewalk-reports-2.4.5-1.el6.noarch
spacewalk-schema-2.4.24-1.el6.noarch
spacewalk-search-2.4.2-1.el6.noarch
spacewalk-selinux-2.3.2-1.el6.noarch
spacewalk-setup-2.4.6-1.el6.noarch
spacewalk-setup-jabberd-2.3.2-1.el6.noarch
spacewalk-slf4j-1.6.1-6.el6.noarch
spacewalk-taskomatic-2.4.79-1.el6.noarch
spacewalk-utils-2.4.20-1.el6.noarch
susestudio-java-client-0.1.4-4.el6.noarch
tomcat5-jasper-5.5.27-7.jpp5.noarch
tomcat5-jsp-2.0-api-5.5.27-7.jpp5.noarch
tomcat5-servlet-2.4-api-5.5.27-7.jpp5.noarch
tomcat6-6.0.24-90.el6.x86_64
tomcat6-el-2.1-api-6.0.24-90.el6.x86_64
tomcat6-jsp-2.1-api-6.0.24-90.el6.x86_64
tomcat6-lib-6.0.24-90.el6.x86_64
tomcat6-servlet-2.5-api-6.0.24-90.el6.x86_64
tzdata-java-2016a-2.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. Install a Fresh Server
2. Install a Fresh Spacewalk 2.4 (i used https://fedorahosted.org/spacewalk/wiki/HowToInstall)
3. Create in Org1 a Channel (Public for trusted Orgs) with Packages & Erratas
4. Create a second Organization
5. Add to Org2 Trust to Org1 to get the Channel from Org1
6. Add an empty Channel in Org2
7. Log into spacecmd as org2-admin
8.1 Use "softwarechannel_errata_sync <org1_channel> <org2_channel>" to Sync the Erratas from Channel in Org1 into Channel in Org2
8.2 Use "errata_details <an_errata>"

Maybe Step 1 & 2 are optional - not sure.

Actual results:
spacecmd {SSM:0}> whoami
org2-admin
spacecmd {SSM:0}> softwarechannel_errata_sync org1_-_centos7_-_x64_-_updates_-_current org2_-_centos7_-_x64_-_updates_-_obelix-int
INFO: syncing errata from softwarechannel org1_-_centos7_-_x64_-_updates_-_current to org2_-_centos7_-_x64_-_updates_-_obelix-int
errata common in both channels:

errata to add to channel "progres_-_centos7_-_x64_-_updates_-_obelix-int":
CEBA-2015:0625
CEBA-2015:0626
CEBA-2015:0646
...
<a large List of erratas>
...
CESA-2016:0204
CESA-2016:0258
CESA-2016:0301

summary:
  org1_-_centos7_-_x64_-_updates_-_current:   288 errata
  org2_-_centos7_-_x64_-_updates_-_obelix-int:     0 errata
    add      288 errata to   org2_-_centos7_-_x64_-_updates_-_obelix-int
    remove     0 errata from org2_-_centos7_-_x64_-_updates_-_obelix-int

Perform these changes to channel org2_-_centos7_-_x64_-_updates_-_obelix-int [y/N]: y
CEBA-2015:0625
ERROR: redstone.xmlrpc.XmlRpcFault: You don't have rights to access CEBA-2015:0625 errata.

##################################################################################################

spacecmd {SSM:0}> whoami
org1-admin
spacecmd {SSM:0}> errata_list
CEBA-2007:0483
CEBA-2009:1559
...
<a large List of erratas including CESA-2016:0301>
...
spacecmd {SSM:0}> errata_details CESA-2016:0301
Name:       CESA-2016:0301
Product:    CentOS Linux
Type:       Security Advisory
...
<a large List of information to this errata>
...
#################################################
spacecmd {SSM:0}> whoami
org2-admin
spacecmd {SSM:0}> errata_list
CEBA-2007:0483
CEBA-2009:1559
...
<a large List of erratas including CESA-2016:0301>
...
spacecmd {SSM:0}> errata_details CESA-2016:0301
WARNING: CESA-2016:0301 is not a valid erratum

Expected results:
A softwarechannel_errata_sync should Sync Erratas from Org1-Channel to Org2-Channel.

A errata_details <errata> should show the errata-information.

Additional info:
Instead the Postgres 8.4 the spacewalk uses a Postgres 9.4

Note You need to log in before you can comment on or make changes to this bug.